#include "nopdemo.h"

/*
 *  Functions to help one debug the bug system itself
 *
 */
EXTDEF int bugdlvl = 0;
/*
 * dbginit() set the debug level, trys to read $DEBUG from environment
 * if it cannot it sets it to level as passed.
 */
EXTDEF void dbginit(int level)
{
char *p;
int  debug;

DEBUG_ENTER("dbginit", ("level=%d", level));

if ((p=getenv("DEBUG")) != NULL)
  {
  if (sscanf(p, "%d", &debug) != EOF)
    level=debug;
  }

bugdlvl = level;

DEBUG_TRACE(9, ("Debug level set to=%d\n", level));

DEBUG_VOID_RETURN;
}
