#define	EXTDEF		/* Definition */
#define	EXTREF	extern	/* Reference */
 
#include <sys/param.h>
#include <sys/strlog.h>
#include <sys/errno.h>
#include <sys/stropts.h>

#include <sys/stream.h>	/* REQUIRED */

#include <sys/cmn_err.h>
#include <sys/types.h>
#include <sys/debug.h>
#include <sys/ddi.h>
#include <sys/ddi_i386at.h>

#include <sys/moddefs.h> /* Header, wrapper, and function declarations and definitions for loadability */


#if defined(NOP_STRLOG) && !defined(lint)
#define	NOP_LOG(x)	 nopstrlog ? x : 0
#else
#define NOP_LOG(x)
#endif


#include <nopdebug.h>
#include <nopconfig.h>

#define	NOP_NAME		"nopb"
#define	NOP_ID			(123)

/*
 *  Flow control defines
 */

#define NOP_MIN_PACKET		0
#define NOP_MAX_PACKET		1500
#define	NOP_HIWATER		(40 * NOP_MAX_PACKET)
#define	NOP_LOWATER		(20 * NOP_MAX_PACKET)

/*
 *  PRIVATE related info.
 */
typedef struct private 
{
  int		state;			/* nop state			     */
  
  queue_t	*read_q;		/* the read queue pointer	     */
  queue_t	*write_q;		/* the write queue pointer	     */
  int		flags;			/* PRIVATE management flags	     */

} nop_private_t;


EXTREF void  debug_dump_msgb(mblk_t *mp);



EXTREF nop_bdconfig_t	nopconfig[];
EXTDEF int		noptimer_id;
EXTREF int		nopboards;
EXTREF int		nopstrlog;
EXTREF int 		nopintr_to_index[];
EXTREF char		nopid_string[];
