/*
 * This is the header file for the nop driver, that is used in the Space.c
 * file.
 *
 * NB: Only include in here USER visible information
 *
 * Driver specific declarations should appear in hop.h which is not installed
 */

/*
 *  Board related info.
 */
typedef struct bdconfig{
	major_t		major;		/* major number for device	     */
	ulong_t		io_start;	/* start of I/O base address	     */
	ulong_t		io_end;		/* end of I/O base address	     */
	paddr_t		mem_start;	/* start of base mem address	     */
	paddr_t		mem_end;	/* start of base mem address	     */
	int		irq_level;	/* interrupt request level	     */
	int		max_privates;	/* max service access points (minors)*/
	int		bd_number;	/* board number in multi-board setup */
	int		flags;		/* board management flags	     */
	struct	private	*private_ptr;	/* ptr to PRIVATE array for this board   */

} nop_bdconfig_t;
